#! /bin/bash
#nfs information collection shell script

log_file="/var/log/nfs-info.log"

#write log time
echo "[LogWrittenTime]" >> $log_file
date >> $log_file
echo "" >> $log_file

#collect os info
echo "[OSInfo]" >> $log_file
cat /etc/lsb-release | grep DISTRIB_DESCRIPTION >> $log_file
echo "" >> $log_file

#collect kernel info
echo "[KernelInfo]" >> $log_file
uname -r >> $log_file
echo "" >> $log_file

#collect os install time
echo "[OSInstallTime]" >> $log_file
#tune2fs -l /dev/sda1 |grep create
#passwd -S root >> $log_file
ls -ld /var/log/installer >> $log_file
echo "" >> $log_file

#collect mac address(include many interface such as eth0(enp4s0) and wlan)
echo "[MACAddress]" >> $log_file
ip link show | grep -B 1 'link/ether' >> $log_file
echo "" >> $log_file

#collect mem info
echo "[MemInfo]" >> $log_file
cat /proc/meminfo >> $log_file
#free -m >> $log_file
echo "" >> $log_file

#collect vga info
echo "[VGAInfo]" >> $log_file
lspci |grep -i vga >> $log_file
echo "" >> $log_file

#collect disk info
echo "[DiskInfo]" >> $log_file
df -lh >> $log_file
#fdisk -l >> $log_file
echo "" >> $log_file

#collect disk serial no
echo "[DiskSerialNo]" >> $log_file
hdparm -i /dev/sda >> $log_file
echo "" >> $log_file

#collect disk filesystem 
echo "[DiskFileSystem]" >> $log_file
mount >> $log_file
echo "" >> $log_file

#collect device info
echo "[DeviceInfo]" >> $log_file
dmidecode | grep "Product Name" >> $log_file
echo "CPUInfo" >> $log_file
lscpu >> $log_file
echo "" >> $log_file
lspci -tv >> $log_file
lsusb -tv >> $log_file
echo "" >> $log_file

#collect module info
echo "[ModuleInfo]" >> $log_file
lsmod >> $log_file
echo "" >> $log_file

#collect software setup info
echo "[SoftwareSetupInfo]" >> $log_file
dpkg -l >> $log_file
echo "" >> $log_file

#collect time last reboot
echo "[TimeLastReboot]" >> $log_file
last --time-format iso -x -s "1 weeks ago" |egrep "(^reboot | ^shutdown)" >> $log_file
#who -b >> $log_file
#last reboot >> $Log_file
echo "" >> $log_file

#collect dmesg info
#echo "[DMesgInfo]" >> $log_file
#dmesg >> $log_file
#echo "" >> $log_file
